From 797177801812c1a2cbea59675de14a9ed9ae36ae Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Sat, 21 May 2022 07:37:31 +0000
Subject: [PATCH v2] Fix unnecessary includes and comments in
 019_replslot_limit.pl, 007_wal.pl and 004_timeline_switch.pl

---
 src/bin/pg_verifybackup/t/007_wal.pl       | 1 -
 src/test/recovery/t/004_timeline_switch.pl | 1 -
 src/test/recovery/t/019_replslot_limit.pl  | 4 +---
 3 files changed, 1 insertion(+), 5 deletions(-)

diff --git a/src/bin/pg_verifybackup/t/007_wal.pl b/src/bin/pg_verifybackup/t/007_wal.pl
index 6e9fafcd55a..9a21e8dc152 100644
--- a/src/bin/pg_verifybackup/t/007_wal.pl
+++ b/src/bin/pg_verifybackup/t/007_wal.pl
@@ -5,7 +5,6 @@
 
 use strict;
 use warnings;
-use File::Path qw(rmtree);
 use PostgreSQL::Test::Cluster;
 use PostgreSQL::Test::Utils;
 use Test::More;
diff --git a/src/test/recovery/t/004_timeline_switch.pl b/src/test/recovery/t/004_timeline_switch.pl
index 3203d937016..f946ce9f1c7 100644
--- a/src/test/recovery/t/004_timeline_switch.pl
+++ b/src/test/recovery/t/004_timeline_switch.pl
@@ -4,7 +4,6 @@
 # Test for timeline switch
 use strict;
 use warnings;
-use File::Path qw(rmtree);
 use PostgreSQL::Test::Cluster;
 use PostgreSQL::Test::Utils;
 use Test::More;
diff --git a/src/test/recovery/t/019_replslot_limit.pl b/src/test/recovery/t/019_replslot_limit.pl
index 84c9c4b0b3c..5cb194caa63 100644
--- a/src/test/recovery/t/019_replslot_limit.pl
+++ b/src/test/recovery/t/019_replslot_limit.pl
@@ -9,8 +9,6 @@ use warnings;
 
 use PostgreSQL::Test::Utils;
 use PostgreSQL::Test::Cluster;
-
-use File::Path qw(rmtree);
 use Test::More;
 use Time::HiRes qw(usleep);
 
@@ -429,7 +427,7 @@ sub advance_wal
 {
 	my ($node, $n) = @_;
 
-	# Advance by $n segments (= (16 * $n) MB) on primary
+	# Advance by $n segments (= (wal_segment_size * $n) bytes) on primary
 	for (my $i = 0; $i < $n; $i++)
 	{
 		$node->safe_psql('postgres',
-- 
2.24.3 (Apple Git-128)

